<div class="ui segment">
  <div class="ui input focus" style="margin-right: 2%">
    <input class="unos" type="text" placeholder="Search..."  #inputName/>
  </div>

  <div class="ui compact selection dropdown">
    <i class="dropdown icon"></i>
    <div class="text">Show this much</div>
    <div class="menu">
      <div class="item" value="10">10</div>
      <div class="item" value="25">25</div>
      <div class="item" value="100">100</div>
      <div class="item" value="200">200</div>
    </div>
  </div>

  <button class="ui right floated button hrana">Search</button>

  <table class="ui very compact sortable small table fixed">
    <thead>
      <tr>
        <th class="unselectable" (click)="sortBy('name')" style="width: 280px;">Name</th>
        <th class="unselectable" (click)="sortBy('kcal')" style="width: 50px; text-align: center;">Kcal</th>
        <th class="unselectable" (click)="sortBy('protein')" style=" text-align: center;">Protein</th>
        <th class="unselectable" (click)="sortBy('carbohydrates')" style=" text-align: center;">Carbohydrates</th>
        <th class="unselectable" (click)="sortBy('sugar')" style="width: 80px; text-align: center;">Sugar</th>
        <th class="unselectable" (click)="sortBy('fat')" style="width: 50px; text-align: center;">Fat</th>
        <th class="unselectable" (click)="sortBy('saturated')" style=" text-align: center;">Saturated</th>
        <th class="unselectable" (click)="sortBy('cholesterol')" style=" text-align: center;">Cholesterol</th>
      </tr>
    </thead>
    <tbody>
      <tr *ngFor="let food of foodList">
        <td>{{ food.name }}</td>
        <td style=" text-align: center;">{{ food.kcal }}</td>
        <td style=" text-align: center;">{{ food.protein }}</td>
        <td style=" text-align: center;">{{ food.carbohydrates }}</td>
        <td style=" text-align: center;">{{ food.sugar }}</td>
        <td style=" text-align: center;">{{ food.fat }}</td>
        <td style=" text-align: center;">{{ food.saturated }}</td>
        <td style=" text-align: center;">{{ food.cholesterol }}</td>
      </tr>
    </tbody>
    <tfoot>
      <tr>
        <th colspan="8">
          <div class="ui centered grid">
            <div class="center aligned column">
              <div class="ui compact menu">
                <button class="ui button icon item" (click)="menuClicked('--')">
                  <i class="double angle left icon"></i>
                </button>
                <button class="ui button icon item" (click)="menuClicked('-')">
                  <i class="angle left icon"></i>
                </button>
                <button
                  class="ui button item"
                  *ngFor="let page of pages"
                  (click)="menuClicked(page)"
                >
                  {{ page }}
                </button>
                <button class="ui button icon item" (click)="menuClicked('+')">
                  <i class="angle right icon"></i>
                </button>
                <button class="ui button icon item" (click)="menuClicked('++')">
                  <i class="double angle right icon"></i>
                </button>
              </div>
            </div>
          </div>
        </th>
      </tr>
    </tfoot>
  </table>
</div>

